///--------------------------------------------------------------------------------------
// Scrolling Demo.h
//
// By: Vern Jensen
///--------------------------------------------------------------------------------------


#ifndef __WINDOWS__
#include <Windows.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif


void	main( void );
void	CreateSpriteWorld( void );
void	CreateBallSprite( void );
void	CreateDiamondMeterSprite( void );
void	CreateMouseSprite( void );
void	SetUpAnimation( void );

void	RunAnimation( void );

void DispatchEvent(EventRecord* event);
void	HandleMouseDown( EventRecord *eventPtr );

void	ShutDown( void );

SW_FUNC void TileChangeProc(SpriteWorldPtr spriteWorldP);

SW_FUNC void KeySpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void MouseSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void DiamondMeterSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void UpdateDiamondMeter( void );

SW_FUNC void SmoothScrollingWorldMoveProc(
	SpriteWorldPtr spriteWorldP,
	SpritePtr followSpriteP);

void	UpdateKeys( void );


#ifdef __cplusplus
}
#endif
