///--------------------------------------------------------------------------------------
// Level.h
///--------------------------------------------------------------------------------------

#define kAdvanceLevelScore		500	// How many points you need to advance to next level

#define	kMinNewFishDelay		40		// Minimum time to wait before adding a new fish
#define	kMinNewSharkDelay		500		// Minimum time to wait before adding a new shark
#define	kFishRandomness			3		// Amount of randomness in adding fish
#define	kSharkRandomness		50		// Amount of randomness in adding sharks


void	DoGetReadyMessage( void );
void	DoNextLevelMessage( void );
void	DoGameOver( void );
void	DrawTextInWorkArea(StringPtr textString, short fontSize);

void	SetUpLevel( void );
void	RestartLevel( void );
void	AdvanceLevel( void );
void	ProcessLevel( void );

void	AddSubmarine( void );
void	AddFish( void );
void	AddShark( void );