///--------------------------------------------------------------------------------------
// SimpleBreakOut.h
//
// By: Tony Myles
//
// Copyright  1993 Tony Myles, All rights reserved worldwide.
///--------------------------------------------------------------------------------------


#ifndef __SIMPLEBREAKOUT__
#define __SIMPLEBREAKOUT__

#ifndef __WINDOWS__
#include <Windows.h>
#endif



#ifdef __cplusplus
extern "C" {
#endif

void PerformSimpleAnimation(CWindowPtr srcWindowP);
SW_FUNC void BallCollideProc(SpritePtr ballSpriteP, SpritePtr brickSpriteP, Rect* sectRect);
SW_FUNC void PaddleCollideProc(SpritePtr paddleSpriteP, SpritePtr ballSpriteP, Rect* sectRect);
SW_FUNC void SetUpPaddle(SpritePtr paddleSpriteP);
SW_FUNC void PaddleMoveProc(SpritePtr paddleSpriteP);
SW_FUNC void BallMoveProc(SpritePtr srcSpriteP);

#ifdef __cplusplus
}
#endif


#endif /* __APPLICATION__ */