///--------------------------------------------------------------------------------------
//	Scrolling.h
//
//	By: Vern Jensen 3/8/97
///--------------------------------------------------------------------------------------


#ifndef __MULTISCREENSCROLLING__
#define __MULTISCREENSCROLLING__


///--------------------------------------------------------------------------------------
//	scrolling function prototypes
///--------------------------------------------------------------------------------------


#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif


SW_FUNC void SWSetUpDuplicateSpriteWorld(
	SpriteWorldPtr masterSpriteWorldP,
	SpriteWorldPtr duplicateSpriteWorldP);
	
SW_FUNC void SWDisposeDuplicateSpriteWorld(
	SpriteWorldPtr	spriteWorldP);

SW_FUNC OSErr SWInitTilingForDuplicateSpriteWorld(
	SpriteWorldPtr	spriteWorldP,
	short 			tileHeight,
	short			tileWidth);

SW_FUNC void SWExitTilingForDuplicateSpriteWorld(
	SpriteWorldPtr	spriteWorldP);

SW_FUNC void SWProcessMultiScreenSpriteWorld(
	SpriteWorldPtr spriteWorldP);

SW_FUNC void SWAnimateMultiScreenSpriteWorld(
	SpriteWorldPtr spriteWorldP);

SW_FUNC void SWFinishMultiScreenAnimation(
	SpriteWorldPtr spriteWorldP);


#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#ifdef __cplusplus
}
#endif

#endif /* __MULTISCREENSCROLLING__ */