///--------------------------------------------------------------------------------------
// Application.h
///--------------------------------------------------------------------------------------

#define kSleep							0

#define mApple							128
#define iAbout							1

#define mFile							129
#define iNewGame						1
#define iEndGame						2
#define iStereoSound					4
#define iPauseGame						6
#define iQuit							8

#define mVolume							130

#define kAboutPictResID					1000
#define kAboutWindResID					1000


///--------------------------------------------------------------------------------------
// Function prototypes
///--------------------------------------------------------------------------------------

void	main( void );
void 	ExitSharkAttack( void );
void	CreateMenuBar( void );
void	CreateWindow( void );
void 	LoadPixPats( void );
void 	SetUpWindowRegions( void );

void	ProcessEvents( void );
void	SetupTitleScreen( void );
void	AnimateTitleScreen( void );
void	ProcessTitleAnimation( void );
void	UpdateWindow( EventRecord *eventPtr );
void	HandleMouseDown( EventRecord *eventPtr );

void	HandleMenuChoice( long menuChoice );
void	HandleAppleChoice( short item );
void	HandleFileChoice( short item );
void	HandleVolumeChoice(short item);
void	UpdateVolumeMenu( void );
OSErr	DoAboutBox(void);
void	AboutBoxEventLoop( void );
