//--------------------------------------------------------------------------------
// GlobalVariables.h - any file that includes this can then access these
// global variables from Shark Attack.c
//--------------------------------------------------------------------------------


extern SpriteWorldPtr	gSpriteWorldP;
extern FramePtr 		gStatsWindowFrameP;
extern FramePtr 		gStatsBackFrameP;
extern FramePtr 		gStatsNumberFrameP;
extern SpriteLayerPtr	gSubSpriteLayerP;
extern SpriteLayerPtr	gBulletSpriteLayerP;
extern SpriteLayerPtr	gFishSpriteLayerP;
extern SpriteLayerPtr	gSharkSpriteLayerP;
extern WindowPtr		gWindowP;
extern RgnHandle		gOrigWindRgn;
extern RgnHandle		gPixPatWindRgn;
extern RgnHandle		gTempRgn;

extern DrawProcPtr		gScreenDrawProc;
extern DrawProcPtr		gSpriteMaskDrawProc;
extern KeyStruct		gKeys;

extern PixPatHandle		gBackgroundPixPatH;
extern PixPatHandle		gTitleWaterPixPatH;
extern PicHandle		gGameWaterPictH;

extern short			gFishDelay; 
extern short			gSharkDelay;
extern short			gNumFishOnScreen;
extern short			gNumSharksOnScreen;
extern SpritePtr		gLastBulletP;
extern SpritePtr		gSubCloneP;	

extern Boolean			gGameOver;
extern Boolean			gGameIsPaused;
extern long				gScore;
extern long				gNextLevelScore;
extern short			gCurrentLevel;
extern short			gNumLivesLeft;
extern short			gShellsNeeded;
extern Boolean			gSubIsStillOnScreen;

