///--------------------------------------------------------------------------------------
// SpriteMoveProcs.h
///--------------------------------------------------------------------------------------

#define kSubAcceleration		.3
#define kSubDeacceleration		.3
#define kSubMaxSpeed			4

#define kSharkAcceleration		.1
#define kSharkMaxSpeed			2

#define kNormalBulletSpeed		16
#define kMachineGunSpeed		24
#define kMaxNumBullets			3
#define kNextShotDelay			3		// Used only for machine gun
#define kMachineGun				false	// Try setting this to true for some real fun!

#define kSubHeight				24
#define kSubWidth				50
#define kBulletWidth			16
#define kSharkHeight			52

#define kSubLeftFrameIndex		0
#define kSubRightFrameIndex		1

#define kFishLeftFrameIndex		0
#define kFishRightFrameIndex	1


///--------------------------------------------------------------------------------------
// Function Prototypes
///--------------------------------------------------------------------------------------

SW_FUNC void SubSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void LevelDoneSubMoveProc(SpritePtr subSpriteP);
SW_FUNC void DeadSubSpriteMoveProc(SpritePtr subSpriteP);
SW_FUNC void BulletSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void FishSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void SharkSpriteMoveProc(SpritePtr srcSpriteP);

SW_FUNC void FishHitDrawProc(
	FramePtr srcFrameP,
	FramePtr dstFrameP,
	Rect* srcRect,
	Rect* dstRect);
